package junit.samples.MySample;

import junit.framework.*;

public class MathTest extends TestCase {
	private Math testVar1;
	private Math testVar2;
	
	public static void main(String args[]) {
		junit.textui.TestRunner.run(MathTest.class);
	}
	protected void setUp() {
		testVar1 = new Math(20, 10);
		testVar2 = new Math(10, 20);		
	}
	protected void tearDown() {
		System.out.println("Tear Down");
	}
	public void testadd() {
		// {20 + 10} == {30}
		int expected= 30;
		assertEquals(expected, testVar1.add()); 
	}
	public void testsubtract() {
		// {20 - 10} == {10}
		int expected= 10;
		assertEquals(expected, testVar1.subtract()); 
	}
	public void testmultiply() {
		// {20 * 10} == {200}
		int expected= 200;
		assertEquals(expected, testVar1.multiply()); 
	}
	public void testdivide() {
		// {10 / 20} == {0.5}
		double expected= 0.5;
		assertEquals(new Double(expected), new Double(testVar2.divide())); 
	}	
	public void testmod() {
		// {10 % 20} == {10}
		int expected= 10;
		assertEquals(expected, testVar2.mod()); 
	}	
}
